> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loadforge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Hosts

> Retrieve a list of all hosts registered on your account

Retrieve a list of all hosts registered on your account, including their respective details like `id`, creation timestamp, verification status, URL, port, and protocol.


## OpenAPI

````yaml GET /hosts
openapi: 3.1.0
info:
  title: LoadForge API
  description: >-
    The LoadForge API provides programmatic access to create, manage, and run
    load tests on your web applications
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://app.loadforge.com/api/v2
security:
  - bearerAuth: []
paths:
  /hosts:
    get:
      description: Retrieve a list of all hosts registered on your account
      responses:
        '200':
          description: Host list response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Host'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Host:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the host
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
        verified:
          type: boolean
          description: Verification status of the host
        url:
          type: string
          description: Domain name of the host
        port:
          type: integer
          description: Port number for the host
        protocol:
          type: string
          description: Protocol used (http or https)
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````